# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::ShaderPasses Class Reference

A sequence of Shader objects each of which represent a rendering pass. More...

`#include <Effect.hpp>`

Inheritance diagram for vl::ShaderPasses:

List of all members.

## Public Member Functions

| ShaderPasses (Shader *pass1=NULL, Shader *pass2=NULL, Shader *pass3=NULL, Shader *pass4=NULL)
| Constructor.

## Detailed Description

A sequence of Shader objects each of which represent a rendering pass.

Each LOD (level of detail) in an Effect corresponts a ShaderPasses.

See also:
  Shader, Effect, Actor

Definition at line 51 of file Effect.hpp.

## Constructor & Destructor Documentation

vl::ShaderPasses::ShaderPasses | ( | Shader * | pass1 = `NULL`,
|  | Shader * | pass2 = `NULL`,
|  | Shader * | pass3 = `NULL`,
|  | Shader * | pass4 = `NULL`
| ) |  | `[inline]`

Constructor.

Parameters:

  pass1 | The Shader (if any) to be used for pass #1
  pass2 | The Shader (if any) to be used for pass #2
  pass3 | The Shader (if any) to be used for pass #3
  pass4 | The Shader (if any) to be used for pass #4

Definition at line 62 of file Effect.hpp.

References vl::Collection< Shader >::push_back(), and VL_DEBUG_SET_OBJECT_NAME.

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/Effect.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:35.
Permission is granted to use this page to write and publish articles regarding Visualization Library.